#include <iostream>
#include <stdlib.h>
using namespace std;
#include "alphabet.h"

alphabet::alphabet(char* toCopy, int shift) {
	letters = (char*) malloc(26* sizeof(char)); //malloc an array of 26 chars
	for (int i = shift; i < shift + 26; i++) {
		int pos = i % 26;
		letters[i - shift] = toCopy[pos];
	}
}

char alphabet::getChar(int loc) {
	if (loc < 26)
		return letters[loc];
	return -1;
}

char alphabet::getCol(int target) {
	int i = 0;
	for (i = 0; i < 26; i++) {
		if (letters[i] == target) {
			break;
		}
	}
	return i + 97;
}

void alphabet::clear() {
	free(letters);
}
